## rpcbind 2.1

=== Makefile ===
#
# Sun RPC is a product of Sun Microsystems, Inc. and is provided for
# unrestricted use provided that this legend is included on all tape
# media and as a part of the software program in whole or part.  Users
# may copy or modify Sun RPC without charge, but are not authorized
# to license or distribute it to anyone else except as part of a product or
# program developed by the user.
#
# SUN RPC IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE
# WARRANTIES OF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR
# PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.
#
# Sun RPC is provided with no support and without any obligation on the
# part of Sun Microsystems, Inc. to assist in its use, correction,
# modification or enhancement.
#
# SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT TO THE
# INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY PATENTS BY SUN RPC
# OR ANY PART THEREOF.
#
# In no event will Sun Microsystems, Inc. be liable for any lost revenue
# or profits or other special, indirect and consequential damages, even if
# Sun has been advised of the possibility of such damages.
#
# Sun Microsystems, Inc.
# 2550 Garcia Avenue
# Mountain View, California  94043
#
#
#ident	"@(#)Makefile	1.3	90/05/14 SMI"
#
# Copyright (c) 1989 by Sun Microsystems, Inc.

# Preprocessor flags:
#       FACILITY        The sylog message class.
#       SEVERITY        Severity for verbose-mode logging.
#       PORTMAP         Support the portmap protocol (REQUIRED).
#       CHECK_LOCAL     Allow RPC procedures to be set and unset via
#                       the portmap protocol.  Normally this is disallowed,
#                       requiring sets/unsets to be done through the rpcbind
#                       protocol, which is more secure through the use of the
#                       loopback transport.  But it allows programs that use
#                       the old rpc library to work with rpcbind (REQUIRED).
#       DEBUG           Enable a variety of debugging printouts.  Do not
#                       detach from tty when running.


PROG= rpcbind

OBJS= check_bound.o pmap_svc.o rpcb_svc.o rpcb_svc_com.o rpcb_svc_4.o \
	 rpcb_stat.o rpcbind.o warmstart.o rpcb_check.o

SRCS= $(OBJS:%.o=%.c)

FILES	= README Makefile check_bound.c pmap_svc.c rpcb_check.c rpcb_check.h \
	rpcb_stat.c rpcb_svc.c rpcb_svc_4.c rpcb_svc_com.c rpcbind.c \
	rpcbind.h warmstart.c Changes

CPPFLAGS= -g -I. -DPORTMAP \
	-DCHECK_LOCAL \
	-DFACILITY=LOG_MAIL \
	-DSEVERITY=LOG_INFO
LDLIBS = $(WRAP_DIR)/libwrap.a -lsocket -lnsl -ldl

all: config-check $(PROG) $(TXTS)

$(PROG): $(OBJS)
	$(CC) -g $(OBJS) -o $@ $(LDLIBS)

config-check:
	@set +e; test -n "$(WRAP_DIR)" || { \
	    echo "Do a 'setenv WRAP_DIR /dir/with/libwrap.a' first." 1>&2; \
	    exit 1; \
	}

Changes: pmap_svc.c rpcb_svc.c rpcb_svc_com.c rpcbind.c rpcb_svc_4.c rpcb_stat.c
	-(diff -c pmap_svc.c- pmap_svc.c; \
	diff -c rpcb_svc.c- rpcb_svc.c; \
	diff -c rpcb_svc_com.c- rpcb_svc_com.c; \
	diff -c rpcbind.c- rpcbind.c; \
	diff -c rpcb_stat.c- rpcb_stat.c; \
	diff -c rpcb_svc_4.c- rpcb_svc_4.c) >$@

shar: $(FILES)
	@shar $(FILES)

clean:
	$(RM) $(OBJS) $(PROG)

lint: lint_SRCS

check_bound.o : check_bound.c rpcbind.h 
pmap_svc.o : pmap_svc.c 
rpcb_check.o : rpcb_check.c rpcbind.h rpcb_check.h 
rpcb_stat.o : rpcb_stat.c rpcbind.h 
rpcb_svc.o : rpcb_svc.c rpcbind.h rpcb_check.h 
rpcb_svc_4.o : rpcb_svc_4.c rpcbind.h 
rpcb_svc_com.o : rpcb_svc_com.c rpcbind.h 
rpcbind.o : rpcbind.c rpcbind.h 
warmstart.o : warmstart.c rpcbind.h

## rpcbind 0.2.0

=== debian/changelog ===
rpcbind (0.2.0-8ubuntu1) raring; urgency=low

   * Merge from Debian unstable, remaining changes:
     - Handle removal of obsolete init script on upgrade.
     - Convert rpcbind to Upstart
     - Fix to look directly in /run instead of via the /var/run symlink
   * Dropped changes:
     - No dpkg pre-depends needed post-LTS, versioned dep also satisfied
       already in Debian stable.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 05 Nov 2012 00:48:07 -0800

rpcbind (0.2.0-8) unstable; urgency=low

  * Relabel the files if SE Linux is active
    Patch by Russell Coker
    Closes: #658369
  * Enable hardened build flags
  * DH compatibility level is 9
  * Standards version is 3.9.3

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 16 Jun 2012 00:02:37 +1000

rpcbind (0.2.0-7ubuntu2) quantal; urgency=low

  * debian/rpcbind.portmap-wait.upstart: export ON_BOOT=y when starting
    portmap from here; since portmap and statd will only race to start on
    boot, and not when started from a maintainer script, we can assume that
    the only time this 'start' command has any effect is at boot time, so
    it's always correct to say ON_BOOT=y here.  This fixes a problem with
    racy startup of portmap causing other services that depend on portmap to
    start too early.  LP: #1007293.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Jun 2012 15:21:15 -0700

rpcbind (0.2.0-7ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - Handle removal of obsolete init script on upgrade.
    - Add necessary dpkg versioned pre-depends for use of
      dpkg-maintscript-helper
    - Convert rpcbind to Upstart
    - Fix to look directly in /run instead of via the /var/run symlink

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Jan 2012 23:36:02 -0800

rpcbind (0.2.0-7) unstable; urgency=low

  [ Luca Capello ]
  * debian/control:
    + Depends: on initscripts (>= 2.88dsf-13.3) for /run transition.
  * debian/init.d:
    + STATEDIR is now on /run.
    + add PIDFILE variable.
    + migrate to /run/sendsigs.omit.d/ creating the PIDFILE in /run
      and symlinking it (Closes: #633035).
    + remove PIDFILE on stop.
  * debian/postinst:
    + move /lib/init/rw/sendsigs.omit.d/rpcbind to /run/rpcbind.pid
      and symlink it to /run/sendsigs.omit.d/rpcbind.
  * debian/postrm:
    + remove files in /run, not /var/run.
  * debian/rules:
    + use /run/rpcbind for --with-statedir.

  [ Anibal Monsalve Salazar ]
  * Bust rpcbind startup annoying messages
    Patch by Steven Hudson
    Closes: 620800
  * Standars-Version is 3.9.2
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 10 Dec 2011 11:36:35 +1100

rpcbind (0.2.0-6ubuntu3.1) oneiric-proposed; urgency=low

  * Fix to look directly in /run instead of via the /var/run symlink which
    is not guaranteed to be present yet when the job starts when /var is a
    separate partition; and include a versioned dependency on initscripts
    to ensure proper upgrade ordering.  LP: #875471.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Oct 2011 18:58:41 +0000

rpcbind (0.2.0-6ubuntu3) oneiric; urgency=low

  * Add necessary dpkg versioned pre-depends for use of
    dpkg-maintscript-helper, missed in the previous upload.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Jul 2011 13:54:10 +0200

rpcbind (0.2.0-6ubuntu2) oneiric; urgency=low

  * Handle removal of obsolete init script on upgrade.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 18 Jul 2011 23:50:00 -0700

rpcbind (0.2.0-6ubuntu1) oneiric; urgency=low

  * Convert rpcbind to Upstart, based on work on portmap with help from
    Colin Watson.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2011 04:22:16 +0000

rpcbind (0.2.0-6) unstable; urgency=medium

  * Depend on fixed insserv (or use file-rc). Closes: #618881 

 -- Luk Claes <luk@debian.org>  Sat, 19 Mar 2011 15:57:22 +0100

rpcbind (0.2.0-5) unstable; urgency=low

  * Add insserv.conf.d file to provide virtual $portmap facility.
    Closes: #565201,#591338
  * Avoid rpcbind getting killed too early when shutting down.
    Closes: #593164
  * Also create rc*.d links for [2-5]. Closes: #594608
  * Minor improvements of init script. Closes: #589486
  * Fix FTBFS on kFreeBSD. Closes: #610718

 -- Luk Claes <luk@debian.org>  Sat, 12 Mar 2011 17:53:51 +0100

rpcbind (0.2.0-4.1) unstable; urgency=high

  * Non-maintainer upload by the security team.
  * CVE-2010-2061: Store state files in /var/run/rpcbind instead of /tmp.
    Closes: #583435

 -- Stefan Fritsch <sf@debian.org>  Sat, 17 Jul 2010 21:47:56 +0200

rpcbind (0.2.0-4) unstable; urgency=low

  * -w is the default option 
  * Pass the -w option
    Closes: 563970
  * Enable warm starts
    Add 03-563971-warmstart-error-msg.patch
    Closes: 563971
  * Enable host name checking
    Build-depend on libwrap0-dev
  * Provide portmap

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 08 Jan 2010 10:13:54 +1100

rpcbind (0.2.0-3) unstable; urgency=low

  * Add 01-usage-fix.patch from redhat
  * Add init script
    Conflict with portmap
    Depend on lsb-base (>= 3.2-14)
    Closes: 563053
  * Don't rename rpcinfo
  * Put rpcbind in /sbin and rpcinfo in /usr/sbin
  * Rename rpcinfo.8 as rpcinfo.7
  * Add 02-manpages.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 06 Jan 2010 15:37:32 +1100

rpcbind (0.2.0-2) unstable; urgency=low

  * Don't overwrite files from libc{-bin,N}
    Rename rpcinfo as rpcbindinfo and rpcinfo.8 as rpcbindinfo.8
    Patch by Ivan Shmakov
    Closes: 544567
  * Add debian/watch 
  * Debian source format is 3.0 (quilt)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 27 Dec 2009 21:39:02 +1100

rpcbind (0.2.0-1) unstable; urgency=low

  * Initial release
    Closes: #542791

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 21 Aug 2009 18:51:29 +1000

=== debian/control ===
Source: rpcbind
Section: net
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders: Luk Claes <luk@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), autotools-dev, libtirpc-dev, libwrap0-dev
Standards-Version: 3.9.3
Homepage: http://sourceforge.net/projects/rpcbind/

Package: rpcbind
Architecture: any
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), insserv (>= 1.14.0-2.1) | file-rc, initscripts (>= 2.88dsf-13.3)
Conflicts: portmap
Replaces: portmap
Provides: portmap
Description: converts RPC program numbers into universal addresses
 The rpcbind utility is a server that converts RPC program numbers
 into universal addresses.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

LDFLAGS += -Wl,-z,defs

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	cp -f /usr/share/misc/config.sub /usr/share/misc/config.guess .
	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" --enable-warmstarts --enable-libwrap --with-statedir=/run/rpcbind

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config.status
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess man/rpcinfo.7
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	# Add here commands to install the package into debian/rpcbind.
	$(MAKE) DESTDIR=$(CURDIR)/debian/rpcbind install
	install -d debian/rpcbind/sbin
	install -d debian/rpcbind/usr/sbin
	install -d debian/rpcbind/etc/insserv.conf.d
	mv debian/rpcbind/usr/bin/rpcbind debian/rpcbind/sbin/rpcbind
	mv debian/rpcbind/usr/bin/rpcinfo debian/rpcbind/usr/sbin/rpcinfo
	rmdir debian/rpcbind/usr/bin
	cp debian/insserv.conf debian/rpcbind/etc/insserv.conf.d/rpcbind
	cp -p man/rpcinfo.8 man/rpcinfo.7

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman man/rpcinfo.7
	dh_installinit --upstart-only --no-start --name rpcbind-boot
	dh_installinit --upstart-only --no-start --name portmap-wait
	dh_installinit --upstart-only --name portmap
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## rpcbind 0.2.1

=== debian/changelog ===
rpcbind (0.2.1-2ubuntu2.2) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service and possible code execution via
    use-after-free
    - debian/patches/CVE-2015-7236.patch: fix memory corruption in
      PMAP_CALLIT code in src/rpcb_svc_com.c.
    - CVE-2015-7236

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 25 Sep 2015 08:18:06 -0400

rpcbind (0.2.1-2ubuntu2.1) trusty; urgency=medium

  * Declare Breaks/Replaces against libc-bin (<< 2.16), to ensure a smooth
    upgrade from 12.04.  LP: #1354602.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Aug 2014 20:45:21 -0700

rpcbind (0.2.1-2ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/rpcbind.rpcbind-boot.upstart: document that this job emits the
      start-rpcbind event.
    - Don't pass -w to rpcbind on boot up, since the files won't be there to
      be read.
    - Migrate /etc/init/portmap.conf to /etc/init/rpcbind.conf

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 13 Jan 2014 16:27:45 -0800

rpcbind (0.2.1-2) unstable; urgency=low

  * Pass "--with-rpcuser=root" to configure
    Closes: #733742

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 01 Jan 2014 11:54:21 +1100

rpcbind (0.2.1-1) unstable; urgency=low

  * New upstream version 0.2.1
    - Run in no fork mode
      Closes: #648225
  * Merged upstream:
    01-usage-fix.patch
    Update:
    02-manpages.patch
    03-563971-warmstart-error-msg.patch
  * Standards version is 3.9.5
  * Update uploaders list
    Closes: #723601
  * Init script: do not print disruptive text
    Patch by Mats Erik Andersson
    Closes: #721448
  * Build-depend on pkg-config

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 31 Dec 2013 10:27:14 +1100

rpcbind (0.2.0-8.2ubuntu2) saucy; urgency=low

  * debian/rpcbind.rpcbind-boot.upstart: document that this job emits the
    start-rpcbind event.  Thanks to Sebastian Audet <smaudet@my.trine.edu>
    for the report.  LP: #1222274.
  * Don't pass -w to rpcbind on boot up, since the files won't be there to
    be read.  LP: #835833.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 09 Sep 2013 02:38:53 +0000

rpcbind (0.2.0-8.2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1217610); remaining changes:
    - Migrate /etc/init/portmap.conf to /etc/init/rpcbind.conf
  * All other Ubuntu changes have now been merged upstream.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 31 Aug 2013 12:59:57 -0700

rpcbind (0.2.0-8.2) unstable; urgency=low

  * Fix an error in the Ubuntu compatibility of the upstart job regarding
    initctl emit commands.  Closes: #719357.

 -- Steve Langasek <vorlon@debian.org>  Sat, 31 Aug 2013 19:47:34 +0000

rpcbind (0.2.0-8.1) unstable; urgency=low

   * Non-maintainer upload, approved by Luk Claes.
   * Convert rpcbind to Upstart.  Closes: #719357.
   * Fix to look directly in /run instead of via the /var/run symlink.
   * Adjust init script to start rpcbind only in rcS, not to try to start it
     again in runlevels [2345]: the service should always start reliably in
     rcS, with no reason to ever restart it later.  In practice, insserv
     already ignores the request to run the script twice (considering it
     "done" already after leaving runlevel S), so this is merely correcting
     the documentation of the current behavior.  Closes: #623377.

 -- Steve Langasek <vorlon@debian.org>  Mon, 12 Aug 2013 18:11:48 +0200

rpcbind (0.2.0-8ubuntu2) saucy; urgency=low

  * Migrate /etc/init/portmap.conf to /etc/init/rpcbind.conf, so that it
    matches the init script name and makes us compatible with new debhelper
    upstart handling.
  * Add versioned dependency on lsb-base, and make initscript
    upstart-aware.
  * debian/rules: drop use of obsolete --upstart-only argument to
    dh_installinit.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 10 Aug 2013 16:50:46 -0700

=== debian/control ===
Source: rpcbind
Section: net
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), autotools-dev, pkg-config, libtirpc-dev, libwrap0-dev
Standards-Version: 3.9.5
Homepage: http://sourceforge.net/projects/rpcbind/

Package: rpcbind
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 4.1+Debian3), insserv (>= 1.14.0-2.1) | file-rc, initscripts (>= 2.88dsf-13.3)
Conflicts: portmap
Breaks: libc-bin (<< 2.16)
Replaces: portmap, libc-bin (<< 2.16)
Provides: portmap
Description: converts RPC program numbers into universal addresses
 The rpcbind utility is a server that converts RPC program numbers
 into universal addresses.

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	dh_testdir
 	# Add here commands to configure the package.
 	cp -f /usr/share/misc/config.sub /usr/share/misc/config.guess .
-	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" --enable-warmstarts --enable-libwrap --with-statedir=/run/rpcbind
+	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" --enable-warmstarts --enable-libwrap --with-statedir=/run/rpcbind --with-rpcuser=root
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -72,9 +72,9 @@
 	dh_installdocs
 	dh_installexamples
 	dh_installman man/rpcinfo.7
-	dh_installinit --upstart-only --no-start --name rpcbind-boot
-	dh_installinit --upstart-only --no-start --name portmap-wait
-	dh_installinit --upstart-only --name portmap
+	dh_installinit --no-start --name rpcbind-boot
+	dh_installinit --no-start --name portmap-wait
+	dh_installinit
 	dh_link
 	dh_strip
 	dh_compress

## rpcbind 0.2.3

=== debian/changelog ===
rpcbind (0.2.3-0.6nosystemd1) nosystemd; urgency=medium

  * nosystemd 

 -- anticapitalista <antix@operamail.com>  Thu, 11 May 2017 19:29:55 +0300

rpcbind (0.2.3-0.6) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2017-8779: Memory leak when failing to parse XDR strings or bytearrays
    (Closes: #861835)
  * Bump runtime dependency on libtirpc1.
    Bump Depends on libtirpc1 (>= 0.2.5-1.2~) to pull the fixes on libtirpc1
    for CVE-2017-8779.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 05 May 2017 19:46:00 +0200

rpcbind (0.2.3-0.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not create empty /run/rpcbind/rpcbind.xdr or /run/rpcbind/portmap.xdr
    files during startup if they don't exist, it makes the daemon generate a
    warning.

 -- Laurent Bigonville <bigon@debian.org>  Fri, 17 Jun 2016 17:54:02 +0200

rpcbind (0.2.3-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rcpbind.service: Add WantedBy=multi-user.target, this should ensure
    that rpcbind daemon is started before nis (Closes: #805167, LP: #1558196)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 31 May 2016 11:55:08 +0200

rpcbind (0.2.3-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Drop dependency on insserv | file-rc and versioned
    dependency on initscripts package (Closes: #804937, #804980)
  * debian/rcpbind.service: Add Before/Wants=rpcbind.target so the .target is
    started as expected when rpcbind is available.
  * debian/rpcbind.socket: Add "DefaultDependencies=no" so the socket is
    available at really early boot (Closes: #806336, LP: #1580523)
  * debian/init.d: Fix LSB init output (Closes: #823081)
  * debian/rcpbind.service: Add a Documentation key

 -- Laurent Bigonville <bigon@debian.org>  Tue, 31 May 2016 09:34:59 +0200

rpcbind (0.2.3-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rpcbind.service: Set Type=notify and ask the daemon to not
    daemonize itself, rpcbind daemon is calling sd_notify() when ready.

 -- Laurent Bigonville <bigon@debian.org>  Tue, 10 Nov 2015 17:07:03 +0100

rpcbind (0.2.3-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release
    - Enable systemd socket activation support (Closes: #679716)
  * Override init.d-script-not-included-in-package and
    init.d-script-not-marked-as-conffile lintian warnings/errors
  * Add systemd and tmpfiles.d files (Closes: #748074)
  * Add 07-Delete-the-unix-socket-only-if-we-have-created-it.patch: rpcbind
    daemon shouldn't try to remove its socket if it as been socket activated
  * Include some upstart jobs changes from Ubuntu (Closes: #747134)
    - debian/rpcbind.rpcbind-boot.upstart: document that this job emits the
      start-rpcbind event.
    - Don't pass -w to rpcbind on boot up, since the files won't be there to
      be read.

 -- Laurent Bigonville <bigon@debian.org>  Tue, 10 Nov 2015 13:36:12 +0100

rpcbind (0.2.1-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add CVE-2015-7236.patch patch.
    CVE-2015-7236: Memory corruption in PMAP_CALLIT code leading to denial
    of service. (Closes: #799307)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 23 Sep 2015 16:33:12 +0200

rpcbind (0.2.1-6) unstable; urgency=medium

  * Upload to unstable.
  * Fix "fails to upgrade from 'wheezy' - trying to overwrite
    /usr/share/man/man8/rpcinfo.8.gz".
    Breaks+Replaces: libc-bin (<< 2.16).
    Don't depend on libc-bin (>= 2.16).
    Closes: #734903.
  * Remove debian/source/options.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 18 Aug 2014 10:45:45 +0100

rpcbind (0.2.1-5) experimental; urgency=medium

  * Get rid of libgssglue1.
    Build-depend on libtirpc-dev (>= 0.2.4-2~).
    Depend on libtirpc1 (>= 0.2.4-2~).

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 02 Aug 2014 10:42:22 +0100

rpcbind (0.2.1-4) unstable; urgency=medium

  * Revert Roger Leigh's change to LSB initscript runlevels.
    Closes: #739053.
  * Refresh patches.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 16 Jul 2014 04:05:27 +0100

rpcbind (0.2.1-3) unstable; urgency=medium

  * Fix "fails to upgrade from 'wheezy' - trying to overwrite
    /usr/share/man/man8/rpcinfo.8.gz"
    Depend on libc-bin (>= 2.16)
    Closes: #734903
  * Fix LSB initscript runlevels
    Patch by Roger Leigh
    Closes: #739053

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 16 Feb 2014 11:19:02 +1100

=== debian/control ===
Source: rpcbind
Section: net
Priority: standard
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), autotools-dev, pkg-config, libtirpc-dev (>= 0.2.4-2~), libwrap0-dev
Standards-Version: 3.9.5
Homepage: http://sourceforge.net/projects/rpcbind/

Package: rpcbind
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 4.1+Debian3), insserv (>= 1.14.0-2.1) | file-rc, initscripts (>= 2.88dsf-13.3), libtirpc1 (>= 0.2.5-1.2~)
Conflicts: portmap
Provides: portmap
Breaks: libc-bin (<< 2.16)
Replaces: libc-bin (<< 2.16)
Description: converts RPC program numbers into universal addresses
 The rpcbind utility is a server that converts RPC program numbers
 into universal addresses.

=== debian/rules ===
--- 
+++ 
@@ -20,11 +20,17 @@
 
 LDFLAGS += -Wl,-z,defs
 
+ifeq (linux,$(DEB_HOST_ARCH_OS))
+	CONFIGURE_EXTRA_FLAGS += --with-systemdsystemunitdir=no
+else
+	CONFIGURE_EXTRA_FLAGS += --with-systemdsystemunitdir=no
+endif
+
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
 	cp -f /usr/share/misc/config.sub /usr/share/misc/config.guess .
-	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" --enable-warmstarts --enable-libwrap --with-statedir=/run/rpcbind --with-rpcuser=root
+	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" --enable-warmstarts --enable-libwrap --with-statedir=/run/rpcbind --with-rpcuser=root $(CONFIGURE_EXTRA_FLAGS)
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -69,6 +75,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs ChangeLog
+	dh_lintian
 	dh_installdocs
 	dh_installexamples
 	dh_installman man/rpcinfo.7

## rpcbind 1.2.5

=== debian/changelog ===
rpcbind (1.2.5-9.0nosystemd1) nosystemd; urgency=medium

  * no hard libsystemd0/libelogind0 dependency 

 -- anticapitalista <antix@operamail.com>  Thu, 11 Nov 2021 21:50:40 +0200

rpcbind (1.2.5-9) unstable; urgency=medium

  * Document -r has been added as a Debian extension.Thanks to Daniel
    Shahaf <danielsh@apache.org> for the patch. (Closes: #948629)
  * debian/rules: Enable debugging info with '--enable-debug'
    configuration flag. Thanks to Petr Vorel <petr.vorel@gmail.com> for
    the patch. (Closes: #963034)
  * Bump debhelper-compat to use (= 13)
  * debian/rules: Document Rulres-Requires-Root
  * Add debian autopkgtest suite
  * Bump Standards-Version to 4.5.0. No changes required

 -- Josue Ortega <josue@debian.org>  Sun, 12 Jul 2020 19:22:37 -0600

rpcbind (1.2.5-8) unstable; urgency=medium

  * Remove --enable-rmtcalls configuration flag (Closes: #870579). Add
    patch to activate remote calls at run-time
  * Add README.debian

 -- Josue Ortega <josue@debian.org>  Tue, 17 Sep 2019 21:36:01 -0600

rpcbind (1.2.5-7) unstable; urgency=medium

  * Enable remote calls using '--enable-rmtcalls' configuration flag.
    Closes: #939877

 -- Josue Ortega <josue@debian.org>  Mon, 09 Sep 2019 14:00:46 -0600

rpcbind (1.2.5-6) unstable; urgency=medium

  * debian/init.d: Restore retry at stop function to avoid racy restart
    (Removed by mistake in previous revision)
  * debian/rpcbind.socket: Remove Before=sockets.target directive

 -- Josue Ortega <josue@debian.org>  Sun, 11 Aug 2019 17:21:39 -0600

rpcbind (1.2.5-5) unstable; urgency=medium

  * debian/rules: Add --no-restart-after-upgrade option to
    dh_installsystemd to avoid race condition at rpcbind.socket
    initialization (Closes: #933268)

 -- Josue Ortega <josue@debian.org>  Mon, 05 Aug 2019 19:31:11 -0600

rpcbind (1.2.5-4) unstable; urgency=medium

  * debian/init.d: Add retry at stop function to avoid racy restart
    (Closes: #804670)
  * Add debian/rpcbind.default file. (Closes: #737276)
  * Refresh debian/patches.
  * Bump Standards-Version to 4.4.0. No changes required

 -- Josue Ortega <josue@debian.org>  Sat, 27 Jul 2019 15:12:58 -0300

rpcbind (1.2.5-3) unstable; urgency=medium

  * Upload to unstable (1.2.5-3)

 -- Josue Ortega <josue@debian.org>  Sun, 07 Jul 2019 14:08:33 -0600

rpcbind (1.2.5-2) experimental; urgency=medium

  * debian/control: Add Vcs-* fields.
  * debian/init.d:
    - Fix script to avoid the use of the command `stat` in case /usr is
      not mounted (Closes: #912237). Thanks to
      Allan Jensen <bugs@winge-jensen.dk> for the idea.
    - Fix typo at init script (Closes: #920495).
    - Add portmap to provides field (Closes: #920761).

 -- Josue Ortega <josue@debian.org>  Sun, 14 Apr 2019 13:31:40 -0600

rpcbind (1.2.5-1) experimental; urgency=medium

  * New maintainer (Closes: #925033)
  * debian/copyright: Update to use DEP-5 Format.
  * Bump Standards-Version to 4.3.0, no changes were required.
  * debian/postinst: Remove code check for code prepared prior to the
    release of oldstable.
  * debian/control:
    - Update dependency on  debhelper to use debhelper-compat (=12).
    - Add Pre-Depends field since maintainer script uses --skip-systemd-native
      flag.

 -- Josue Ortega <josue@debian.org>  Sat, 13 Apr 2019 13:17:49 -0600

rpcbind (1.2.5-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rpcbind.links: Create a compatibility symlink for rpcinfo from
    /usr/bin to /usr/sbin, seems there are several things in the archive
    expecting the binary to be in its previous location (Closes: #911510)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 22 Oct 2018 12:54:11 +0200

rpcbind (1.2.5-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable
  * debian/control: Downgrade priority to optional to match the override file

 -- Laurent Bigonville <bigon@debian.org>  Sat, 20 Oct 2018 14:18:44 +0200

rpcbind (1.2.5-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #867008)
    - Bump libtirpc-dev build-dependency to >= 1.0.2
    - d/p/07-Delete-the-unix-socket-only-if-we-have-created-it.patch,
      d/p/CVE-2015-7236.patch: Dropped, merged upstream
    - d/p/08-CVE-2017-8779.patch: Dropped, upstream fixed this in another way
  * Run the daemon as "_rpc" user instead of as root (Closes: #852066)
  * debian/control: Bump Standards-Version to 4.2.1 (no further changes)
  * debian/rules: Switch to dh sequences
  * debian/rpcbind.maintscript: Remove upstart init files
  * Bump debhelper compatibility version to 11 (Closes: #831002)
  * d/p/02-manpages.patch: Stop renaming rpcinfo.8 manpage to rpcinfo.7,
    section 8 is for "System management commands" which seems to fit properly
  * debian/rules: Enable all hardening as this is a network facing daemon
  * d/p/rpcinfo-Fix-stack-buffer-overflow.patch: Fix stack buffer overflow,
    cherry picked from upstream

 -- Laurent Bigonville <bigon@debian.org>  Sun, 14 Oct 2018 16:30:59 +0200

=== debian/control ===
Source: rpcbind
Section: net
Priority: optional
Maintainer: Josue Ortega <josue@debian.org>
Build-Depends: debhelper-compat (= 13),
 pkg-config,
 libtirpc-dev (>= 1.0.2),
 libwrap0-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://sourceforge.net/projects/rpcbind/
Vcs-Git: https://salsa.debian.org/debian/rpcbind.git
Vcs-Browser: https://salsa.debian.org/debian/rpcbind

Package: rpcbind
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 lsb-base (>= 4.1+Debian3),
 adduser
Conflicts: portmap
Provides: portmap
Breaks: libc-bin (<< 2.16)
Replaces: libc-bin (<< 2.16)
Description: converts RPC program numbers into universal addresses
 The rpcbind utility is a server that converts RPC program numbers
 into universal addresses.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq (linux,$(DEB_HOST_ARCH_OS))
	CONFIGURE_EXTRA_FLAGS += --with-systemdsystemunitdir=no
else
	CONFIGURE_EXTRA_FLAGS += --with-systemdsystemunitdir=no
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --sbindir=/sbin --enable-warmstarts --enable-libwrap --with-statedir=/run/rpcbind --with-rpcuser=_rpc --enable-debug $(CONFIGURE_EXTRA_FLAGS)

override_dh_installinit:
	dh_installinit
	install -d debian/rpcbind/etc/insserv.conf.d
	cp debian/insserv.conf debian/rpcbind/etc/insserv.conf.d/rpcbind

## rpcbind 1.2.6

=== debian/changelog ===
rpcbind (1.2.6-2build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:29:41 +0000

rpcbind (1.2.6-2) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version to 4.5.1. No changes required
  * Bump debian/watch version to 4

 -- Josue Ortega <josue@debian.org>  Tue, 17 Aug 2021 09:31:36 -0600

rpcbind (1.2.6-1) experimental; urgency=medium

  * New upstream release (1.2.6):
    - Refresh debian/patches
    - Remove pcinfo-Fix-stack-buffer-overflow.patch. Path has been
      applied by upstream

 -- Josue Ortega <josue@debian.org>  Fri, 25 Jun 2021 20:01:46 -0600

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Build-Depends: debhelper-compat (= 13),
  pkg-config,
  libtirpc-dev (>= 1.0.2),
- libwrap0-dev
-Standards-Version: 4.5.0
+ libwrap0-dev,
+ libsystemd-dev [linux-any]
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://sourceforge.net/projects/rpcbind/
 Vcs-Git: https://salsa.debian.org/debian/rpcbind.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
-	CONFIGURE_EXTRA_FLAGS += --with-systemdsystemunitdir=no
+	CONFIGURE_EXTRA_FLAGS += --with-systemdsystemunitdir=/lib/systemd/system
 else
 	CONFIGURE_EXTRA_FLAGS += --with-systemdsystemunitdir=no
 endif
@@ -22,3 +22,12 @@
 	dh_installinit
 	install -d debian/rpcbind/etc/insserv.conf.d
 	cp debian/insserv.conf debian/rpcbind/etc/insserv.conf.d/rpcbind
+
+override_dh_installsystemd:
+	dh_installsystemd --no-restart-after-upgrade
+
+ifeq (linux,$(DEB_HOST_ARCH_OS))
+override_dh_link:
+	dh_link lib/systemd/system/rpcbind.service lib/systemd/system/portmap.service
+	dh_link
+endif

=== debian/watch ===
version=4
http://sf.net/rpcbind/rpcbind-(.+)\.tar\.bz2

## rpcbind 1.2.7

=== debian/changelog ===
rpcbind (1.2.7-1build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 15:15:21 +0000

rpcbind (1.2.7-1) unstable; urgency=medium

  * New upstream release (1.2.7). (Closes: #1100071).
    + Refresh debian/patches.
  * debian/copyright: Update copyright holders years.
  * Bump Standards-Version to use 4.7.1. New changes required.
  * debian/postinst:
    + Update script to use --allow-bad-names instead of
      deprecated ---force-name option.
    + Add test to avoid attempt to create _rpc user if already exists.

 -- Josue Ortega <josue@debian.org>  Mon, 17 Mar 2025 18:43:56 -0600

rpcbind (1.2.6-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install rpcbind into /usr/sbin (DEP17 M2). (Closes: #1060358)
    Update path in init script, systemd unit, et al.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 May 2024 00:53:15 +0200

rpcbind (1.2.6-8) unstable; urgency=medium

  * Bump libtirpc-dev dependency to 1.3.4+ds-1.1. Closes: #1066880.
    Thanks Zixing Liu <zixing.liu@canonical.com> for the patch.
  * debian/control: Update package obsolet build-depend on pkg-config to
    use pkgconf.
  * debian/copyright: Update debian/* copyright years.

 -- Josue Ortega <josue@debian.org>  Sun, 14 Apr 2024 18:31:00 -0600

rpcbind (1.2.6-7) unstable; urgency=medium

  * Install systemd units only once. Thanks to Helmut Grohne
   <helmutg@debian.org> for the patch. (Closes: #1054483)

  [Debian Janitor]
  * Remove 3 obsolete maintscript entries in 1 files.
  * Set upstream metadata fields: Archive, Bug-Database.
  * Drop dependency on obsolete package lsb-base.
  * debian/copyright: Update debian/* copyright holder year.

 -- Josue Ortega <josue@debian.org>  Mon, 06 Nov 2023 17:38:53 -0600

rpcbind (1.2.6-6) unstable; urgency=medium

  * Add missing postinst script creating _rpc user (Closes: #1016064)

 -- Josue Ortega <josue@debian.org>  Wed, 27 Jul 2022 03:20:27 -0600

rpcbind (1.2.6-5) unstable; urgency=medium

  * debian/init.d: Remove init level 1 from Default-Stop
    (Closes: #1012444).

 -- Josue Ortega <josue@debian.org>  Wed, 20 Jul 2022 10:57:14 +0200

rpcbind (1.2.6-4) unstable; urgency=medium

  * Re-licence debian/patches/* to be under BSD-3-Clause license
    (Closes: #996883).
  * Remove obsolete debian/postinst file.
  * Bump Standards-Version to 4.6.1. No chages required.

 -- Josue Ortega <josue@debian.org>  Tue, 19 Jul 2022 12:29:51 +0200

rpcbind (1.2.6-3) unstable; urgency=medium

  * Rebuild with debhelper >= 13.5.2. See #993316 for more information.
  * Bump Standards-Version to 4.6.0. No changes required.
  * debian/copyright: Update debian/* copyright year.

 -- Josue Ortega <josue@debian.org>  Fri, 08 Apr 2022 08:48:55 -0600

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Josue Ortega <josue@debian.org>
 Build-Depends: debhelper-compat (= 13),
- pkg-config,
- libtirpc-dev (>= 1.0.2),
+ pkgconf,
+ libtirpc-dev (>= 1.3.4+ds-1.1),
  libwrap0-dev,
  libsystemd-dev [linux-any]
-Standards-Version: 4.5.1
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Homepage: http://sourceforge.net/projects/rpcbind/
 Vcs-Git: https://salsa.debian.org/debian/rpcbind.git
@@ -18,7 +18,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- lsb-base (>= 4.1+Debian3),
  adduser
 Conflicts: portmap
 Provides: portmap

=== debian/tests/control ===
Tests: check-if-installed
